#ifndef YACTYPESLPH
#define YACTYPESLPH

#include "boolean.h"
#include "transform.h"
#include "transforms.h"

/** 
   \file readloopstypes.h

   \brief Definition of data types shared between the lexical and the syntactical
          analizer for \e .loops files. 

   Definition of data types shared between the lexical and the syntactical
   analizer for \e .loops files. 

   \sa readloops.l, readloops.y
*/

/** 
   \brief Expressions that appear in the constant declarations
          are either variables (and have and name) or constants 
	  (and have a value).

   Expressions that appear in the constant declarations
   are either variables (and have and name) or constants 
   (and have a value).
	  
   \sa readloops.l, readloops.y
*/
typedef struct {  
  char *id;     /**< If the expression is a variable, we store its name */
  double value; /**< If the expression is constant, we store its value. */
} TexprLoops;

#endif
